Skip to main content
POST
/
admin
/
clients
Create a client
curl --request POST \
  --url https://api.steuerboard.com/v1/admin/clients \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Muster GmbH",
  "type": "legal_person",
  "customId": "ABC123",
  "address": {
    "line1": "Musterstraße 1",
    "line2": "12345 Musterstadt",
    "city": "Musterstadt",
    "postalCode": "12345",
    "countryCode": "DE"
  }
}
'
{
  "id": "cmf41ajzv003706un4i99q19z",
  "name": "Muster GmbH",
  "slug": "muster-gmbh",
  "type": "legal_person",
  "customId": "ABC123",
  "legalName": "Muster GmbH",
  "archivedAt": "2021-01-01T00:00:00Z",
  "datevClientId": "ABC123",
  "createdAt": "2021-01-01T00:00:00Z",
  "updatedAt": "2021-01-01T00:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.steuerboard.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint only works with the Accountant API key. More information here

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

application/json

Client create

name
string
required

The name of the client

Example:

"Muster GmbH"

type
enum<string>
required

The type of the client. 'natural_person' for individuals, 'legal_person' for companies like UG, GmbH, AG, Ltd., Inc., etc. and 'individual_enterprise' for sole proprietorships.

Available options:
natural_person,
individual_enterprise,
legal_person
Example:

"legal_person"

customId
string

The client's custom ID can be defined by the accountant

Example:

"ABC123"

address
object

The address of the client

Example:
{
"line1": "Musterstraße 1",
"line2": "12345 Musterstadt",
"city": "Musterstadt",
"postalCode": "12345",
"countryCode": "DE"
}

Response

Client created successfully

id
string<cuid>
required

The ID of the client

Example:

"cmf41ajzv003706un4i99q19z"

name
string
required

The name of the client

Example:

"Muster GmbH"

slug
string
required

The slug of the client

Example:

"muster-gmbh"

type
enum<string>
required

The type of the client. 'natural_person' for individuals, 'legal_person' for companies like UG, GmbH, AG, Ltd., Inc., etc. and 'individual_enterprise' for sole proprietorships.

Available options:
natural_person,
individual_enterprise,
legal_person
Example:

"legal_person"

customId
string | null
required

The client's custom ID can be defined by the accountant

Example:

"ABC123"

The legal name of the client

Example:

"Muster GmbH"

archivedAt
string<date-time> | null
required

The date and time the client was archived. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).

Example:

"2021-01-01T00:00:00Z"

datevClientId
string | null
required

The client's ID in DATEV

Example:

"ABC123"

createdAt
string<date-time>
required

The date and time of the creation for the client. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).

Example:

"2021-01-01T00:00:00Z"

updatedAt
string<date-time>
required

The date and time of the last update for the client. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).

Example:

"2021-01-01T00:00:00Z"